[Numpy-discussion] deprecations for 1.5

Ralf Gommers ralf.gommers@googlemail....
Thu Aug 5 07:45:24 CDT 2010


Hi all,

I'm looking at what needs to be deprecated/removed and have a few questions:

1. ma.core has some deprecations without version info:
  make_mask: flag keyword
  MaskedArray.flag
  MaskedArray.raw_data
  allclose: fillvalue keyword
  Should these be removed, and if not can someone provide a version number
for when that does need to happen?

2. correlate: old_behavior keyword should be removed. Is it correct that
that means (besides changes in core/numeric.py) removing
multiarray.correlate code in multiarraymodule.c and renaming correlate2 to
correlate there?

3. Anything else that needs to be removed/deprecated besides what is noted
in the 1.4.0 release notes and ticket 1431?

Thanks,
Ralf
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20100805/4afece84/attachment.html 


More information about the NumPy-Discussion mailing list